Name:           mhgui
Version:        0.2
Release:        8%{?dist}
Summary:        A simple GUI library for MakeHuman

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.dedalo-3d.com
Source0:        http://downloads.sourceforge.net/makehuman/mhgui-%{version}.tar.gz
Patch0:         mhgui-0.1-pkgconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  animorph-devel >= 0.3
BuildRequires:  freeglut-devel
BuildRequires:  libpng-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXi-devel
      

%description
A simple GUI library for MakeHuman


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       animorph-devel >= 0.3
Requires:       freeglut-devel
Requires:       libpng-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
# We need to fix CRLF first
for f in mhgui*.in config.h.in ; do
  sed -i 's/\r//' $f
  touch -r README $f
done
%patch0 -p1 -b .pkgconfig


%build
%configure --disable-static --with-x

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p -c"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Removes doc
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 0.2-6
- Rebuild for gcc43

* Fri Jan  4 2008 kwizart < kwizart at gmail.com > - 0.2-5
- Another dependency and tested with gcc43

* Thu Jan  3 2008 kwizart < kwizart at gmail.com > - 0.2-4
- Fix missing dependency 

* Thu Jan  3 2008 kwizart < kwizart at gmail.com > - 0.2-3
- Add missing dependency

* Thu Jan  3 2008 kwizart < kwizart at gmail.com > - 0.2-2
- Clean unused-direct-shlib-dependencies

* Thu Jan  3 2008 kwizart < kwizart at gmail.com > - 0.2-1
- Update to 0.2
- Licence is now GPLv3+

* Thu Sep 13 2007 kwizart < kwizart at gmail.com > - 0.1-2
- Fix URL
- Change summary

* Fri Jul 20 2007 kwizart < kwizart at gmail.com > - 0.1-1
- Initial spec file for Fedora 
